KOPANO-ARCHIVER-ACLSYNC(8)

NAME
kopano-archiver-aclsync - Synchronizes archive ACL settings with those of the primary store.

SYNOPSIS

kopano-archiver-aclsync [OPTION...]

DESCRIPTION

When a user has set permissions for others on his or her store or folders, the other user will need at least read-permissions on this persons archive as well in order to read stubbed messages or access the archive directly. These permissions can not be set by the owner of the archive if the archive was attached without write privileges. Even if the user has write permissions, it is a nuisance to have to set all the permissions twice (or more if multiple archives are attached).

kopano-archiver-aclsync can be used to propagate the ACL settings from the primary store to the archives. However, no user will ever get more right on a store or folder than the owner of the archive. So, if the archive was attached without write permissions, no user will get write permissions on the archive.

For every archived folder in an archived store kopano-archiver-aclsync will first determine the rights for the owner of the archive. Then it will get all the entries from the ACL of the current folder except those of the owner. Each right will be masked with the rights of the owner before being added to the ACL of the archive folder.

OPTIONS

--user, -u NAME
    Run the script for just the specified user(s). By default, it runs for all users.

--log-level, -l NAME
    Specify log-level, for example, error, warning info or debug.

--server-socket, -S SOCKET
    Connect to storage server through specified socket.

--ssl-key, -K FILE
    Specify SSL key file.

--ssl-pass, -Q PASSWORD
    Specify SSL key password.